@Harlen

Проблема с установкой GLTFLoader и Three.js?

Не получается установить Three. js GLTFLoader.
Ошибка:Uncaught TypeError: Failed to resolve module specifier "three". Relative references must start with either "/", "./", or "../".

Подскажите пожалуйста в чем проблема, вопрос наверное очень глупый, но сам не смог разобраться
import * as THREE from 'https://unpkg.com/three@0.126.1/build/three.module.js';
        import { GLTFLoader } from 'https://unpkg.com/three@0.128.0/examples/jsm/loaders/GLTFLoader.js';
        const scene = new THREE.Scene();
        const camera = new THREE.PerspectiveCamera( 75, window.innerWidth / window.innerHeight, 0.1, 1000 );

        const renderer = new THREE.WebGLRenderer();
        renderer.setSize( window.innerWidth, window.innerHeight );
        document.body.appendChild( renderer.domElement );
        const loader = new GLTFLoader();

        loader.load( 'Capblend.glb', function ( gltf ) {
            scene.add( gltf.scene );
        }, undefined, function ( error ) {

            console.error( error );

        } );

        function animate() {
            requestAnimationFrame( animate );
            renderer.render( scene, camera );
        }
        animate();
  • Вопрос задан
  • 77 просмотров
Пригласить эксперта
Ответы на вопрос 1
IvanU7n
@IvanU7n
скорее всего нужно дополнить страницу этим: https://developer.mozilla.org/en-US/docs/Web/HTML/...
Ответ написан
Комментировать
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы